Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:53 2009

## Asterisk developer's documentation

# skinny_subchannel Struct Reference

Collaboration diagram for skinny_subchannel:

[legend]

## Data Fields

int | alreadygone
unsigned int | callid
int | cxmode
int | lastout
time_t | lastouttime
ast_mutex_t | lock
int | nat
struct skinny_subchannel * | next
int | outgoing
struct ast_channel * | owner
struct skinny_line * | parent
int | progress
int | ringing
struct ast_rtp * | rtp

## Detailed Description

Definition at line 806 of file chan_skinny.c.

## Field Documentation

int alreadygone

Definition at line 819 of file chan_skinny.c.

Referenced by handle_message(), skinny_hangup(), and skinny_indicate().

unsigned int callid

Definition at line 808 of file chan_skinny.c.

Referenced by build_device(), handle_message(), skinny_answer(), skinny_call(), skinny_hangup(), skinny_indicate(), and skinny_new().

int cxmode

Definition at line 816 of file chan_skinny.c.

Referenced by build_device(), handle_message(), and skinny_answer().

int lastout

Definition at line 815 of file chan_skinny.c.

time_t lastouttime

Definition at line 812 of file chan_skinny.c.

ast_mutex_t lock

Definition at line 807 of file chan_skinny.c.

Referenced by build_device(), delete_devices(), skinny_hangup(), skinny_read(), skinny_write(), and start_rtp().

int nat

Definition at line 817 of file chan_skinny.c.

Referenced by build_device(), and start_rtp().

struct skinny_subchannel* next`[read]`

Definition at line 820 of file chan_skinny.c.

Referenced by build_device(), delete_devices(), handle_message(), skinny_request(), and skinny_ss().

int outgoing

Definition at line 818 of file chan_skinny.c.

Referenced by handle_message(), skinny_call(), skinny_hangup(), and skinny_indicate().

struct ast_channel* owner`[read]`

Definition at line 809 of file chan_skinny.c.

Referenced by handle_message(), skinny_fixup(), skinny_hangup(), skinny_new(), skinny_request(), skinny_rtp_read(), skinny_show_lines(), skinny_ss(), and start_rtp().

struct skinny_line* parent`[read]`

Definition at line 810 of file chan_skinny.c.

Referenced by build_device(), do_housekeeping(), handle_message(), skinny_answer(), skinny_call(), skinny_hangup(), skinny_indicate(), skinny_new(), skinny_request(), skinny_senddigit(), skinny_ss(), and start_rtp().

int progress

Definition at line 813 of file chan_skinny.c.

Referenced by skinny_indicate().

int ringing

Definition at line 814 of file chan_skinny.c.

Referenced by skinny_indicate().

struct ast_rtp* rtp`[read]`

Definition at line 811 of file chan_skinny.c.

Referenced by handle_message(), skinny_answer(), skinny_get_rtp_peer(), skinny_hangup(), skinny_new(), skinny_rtp_read(), skinny_show_lines(), skinny_write(), and start_rtp().

The documentation for this struct was generated from the following file:

- chan_skinny.c